[X2Go-Commits] [x2gothinclient] 03/03: Use proper quotations in several X2Go TCE scripts.

git-admin at x2go.org git-admin at x2go.org
Fri Aug 29 22:39:31 CEST 2014


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository x2gothinclient.

commit e207a3fb1ebe1e53d50dc0547c0cbb6df5b3f06d
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Fri Aug 29 22:39:26 2014 +0200

    Use proper quotations in several X2Go TCE scripts.
---
 debian/changelog                      |    1 +
 management/sbin/x2gothinclient_create |   34 ++++++++++++++++-----------------
 management/sbin/x2gothinclient_update |    8 ++++----
 3 files changed, 22 insertions(+), 21 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index ac37cf3..cf97f36 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -52,6 +52,7 @@ x2gothinclient (1.5.0.0-0x2go1) UNRELEASED; urgency=low
     - Adapt management package to TCE flavouring. Add new configuration
       option in x2gothinclient_settings: TC_FLAVOUR (can be: minidesktop or
       displaymanager).
+    - Use proper quotations in several X2Go TCE scripts.
   * debian/control:
     + Rename bin:package: x2gothinclient -> x2gothinclient-daemon.
     + Make sure x2gothinclient-minidesktop pulls in X11 and X2Go Client.
diff --git a/management/sbin/x2gothinclient_create b/management/sbin/x2gothinclient_create
index 4fc1873..1eb9efc 100755
--- a/management/sbin/x2gothinclient_create
+++ b/management/sbin/x2gothinclient_create
@@ -39,7 +39,7 @@ else
 	SHAREDIR="/usr/share/x2go/tce/"
 fi
 
-source $ETCDIR/x2gothinclient_settings
+source "$ETCDIR/x2gothinclient_settings"
 
 TC_BASE="${TC_BASE:-/opt/x2gothinclient}"
 TC_CHROOT="${TC_CHROOT:-$TC_BASE/chroot}"
@@ -94,26 +94,26 @@ ls "$SHAREDIR/etc/x2gothinclient_init.d" | while read init_part; do
 	test -f "$TC_CONFIG/x2gothinclient_init.d/$init_part" || cp "$SHAREDIR/etc/x2gothinclient_init.d/$init_part" "$TC_CONFIG/x2gothinclient_init.d/"
 done
 
-mkdir -p $TC_CONFIG/freerdp
-test -f $TC_CONFIG/freerdp/known_hosts || echo "# X2Go TCE: validate allowed RDP servers with their fingerprints through this file" > $TC_CONFIG/freerdp/known_hosts
+mkdir -p "$TC_CONFIG/freerdp"
+test -f "$TC_CONFIG/freerdp/known_hosts" || echo "# X2Go TCE: validate allowed RDP servers with their fingerprints through this file" > "$TC_CONFIG/freerdp/known_hosts"
 
 apt-get install debootstrap
-mkdir -p $TC_CHROOT
+mkdir -p "$TC_CHROOT"
 
 # use a proxy server for APT (if any is configured)
 export http_proxy="$TC_HTTP_PROXY"
 export https_proxy="$TC_HTTPS_PROXY"
 export ftp_proxy="$TC_FTP_PROXY"
 
-debootstrap --arch i386 $TC_DISTRO_CODENAME $TC_CHROOT/ $TC_DEBMIRROR_URL
+debootstrap --arch i386 "$TC_DISTRO_CODENAME" "$TC_CHROOT/" "$TC_DEBMIRROR_URL"
 
-cp /etc/resolv.conf $TC_CHROOT/etc/resolv.conf
+cp /etc/resolv.conf "$TC_CHROOT/etc/resolv.conf"
 if [ "$TC_DISTRO_CODENAME" = "squeeze" ]; then
-	echo "auto lo" >>   $TC_CHROOT/etc/network/interfaces
-	echo "iface lo inet loopback" >>   $TC_CHROOT/etc/network/interfaces
+	echo "auto lo" >>   "$TC_CHROOT/etc/network/interfaces"
+	echo "iface lo inet loopback" >> "$TC_CHROOT/etc/network/interfaces"
 fi
-echo "x2gothinclient" > $TC_CHROOT/etc/hostname
-echo "127.0.0.1 localhost" >> $TC_CHROOT/etc/hosts
+echo "x2gothinclient" > "$TC_CHROOT/etc/hostname"
+echo "127.0.0.1 localhost" >> "$TC_CHROOT/etc/hosts"
 
 cat > $TC_CHROOT/etc/fstab <<EOF
 proc	/proc			proc	defaults,noauto						0	0
@@ -132,25 +132,25 @@ EOF
 
 # differences between Debian versions
 if [ "$TC_DISTRO_CODENAME" = "squeeze" ]; then
-	cat >> $TC_CHROOT/etc/fstab <<EOF
+	cat >> "$TC_CHROOT/etc/fstab" <<EOF
 none	/var/run		tmpfs	size=50M		0	0
 none	/var/lock		tmpfs	size=50M		0	0
 EOF
 fi
 
 if [ "x$TC_DISTRO_CODENAME" = "xwheezy" ] && [ "x$TC_FLAVOUR" = "xminidesktop" ]; then
-	cat >> $TC_CHROOT/etc/apt/sources.list.d/backports.list <<EOF
+	cat >> "$TC_CHROOT/etc/apt/sources.list.d/backports.list" <<EOF
 deb $TC_DEBMIRROR_URL ${TC_DISTRO_CODENAME}-backports main contrib non-free
 EOF
-	cat >> $TC_CHROOT/etc/apt/sources.list.d/contrib.list <<EOF
+	cat >> "$TC_CHROOT/etc/apt/sources.list.d/contrib.list" <<EOF
 deb $TC_DEBMIRROR_URL ${TC_DISTRO_CODENAME} contrib
 EOF
-	cat >> $TC_CHROOT/etc/apt/sources.list.d/non-free.list <<EOF
+	cat >> "$TC_CHROOT/etc/apt/sources.list.d/non-free.list" <<EOF
 deb $TC_DEBMIRROR_URL ${TC_DISTRO_CODENAME} non-free
 EOF
 fi
 
-cat > $TC_CHROOT/x2go_tce_install.sh <<EOF
+cat > "$TC_CHROOT/x2go_tce_install.sh" <<EOF
 #!/bin/bash
 
 export LANG=C
@@ -252,14 +252,14 @@ fi
 [ \$? -eq 0 ] && apt-get clean
 
 EOF
-chmod u+x $TC_CHROOT/x2go_tce_install.sh
+chmod u+x "$TC_CHROOT/x2go_tce_install.sh"
 
 mkdir -p "$TC_CHROOT/"{proc,dev/pts,sys}
 mount -tproc proc "$TC_CHROOT/proc" || true
 mount -tsysfs sys "$TC_CHROOT/sys" || true
 mount -tdevpts devpts "$TC_CHROOT/dev/pts" || true
 
-chroot $TC_CHROOT /x2go_tce_install.sh
+chroot "$TC_CHROOT" /x2go_tce_install.sh
 
 for mountpoint in proc dev/pts sys; do
 	while true; do
diff --git a/management/sbin/x2gothinclient_update b/management/sbin/x2gothinclient_update
index df5d149..3757cb8 100755
--- a/management/sbin/x2gothinclient_update
+++ b/management/sbin/x2gothinclient_update
@@ -69,21 +69,21 @@ ls "$TC_CONFIG/x2gothinclient_init.d/" | while read init_part; do
 	fi
 done
 
-if test -f $TC_CONFIG/x2gothinclient-${TC_FLAVOUR}_start; then
+if test -f "$TC_CONFIG/x2gothinclient-${TC_FLAVOUR}_start"; then
 	cp -v "$TC_CONFIG/x2gothinclient-${TC_FLAVOUR}_start" "$TC_CHROOT/etc/x2go/x2gothinclient-${TC_FLAVOUR}_start"
 	chmod a+rx "$TC_CHROOT/etc/x2go/x2gothinclient-${TC_FLAVOUR}_start"
 fi
 
-if test -f $TC_CONFIG/x2gothinclient_sessions; then
+if test -f "$TC_CONFIG/x2gothinclient_sessions"; then
 	cp -v "$TC_CONFIG/x2gothinclient_sessions" "$TC_CHROOT/etc/x2go/x2gothinclient_sessions"
 	chmod a+rx "$TC_CHROOT/etc/x2go/x2gothinclient_sessions"
 fi
 
-if test -f $TC_CONFIG/x2gothinclient--${TC_FLAVOUR}_background.svg; then
+if test -f "$TC_CONFIG/x2gothinclient--${TC_FLAVOUR}_background.svg"; then
 	cp -v "$TC_CONFIG/x2gothinclient-${TC_FLAVOUR}_background.svg" "$TC_CHROOT/etc/x2go/x2gothinclient-${TC_FLAVOUR}_background.svg"
 fi
 
-if test -f $TC_CONFIG/freerdp/known_hosts; then
+if test -f "$TC_CONFIG/freerdp/known_hosts"; then
 	mkdir -p "$TC_CHROOT/etc/x2go/freerdp/"
 	cp -v "$TC_CONFIG/freerdp/known_hosts" "$TC_CHROOT/etc/x2go/freerdp/known_hosts"
 fi

--
Alioth's /srv/git/_hooks_/post-receive-email on /srv/git/code.x2go.org/x2gothinclient.git


More information about the x2go-commits mailing list